Introduction

Advanced COM Port Redirector Advanced COM Port Redirector
Introduction

Serial to Ethernet Connector is the software-based solution that allows you to share up to 255 serial port devices over TCP/IP network turning your computer into low-cost terminal server. As the result, any serial port device connected to COM port could be accessed from anywhere in the world as if it is attached to local PC. Formerly known as VSPD.Net Serial to Ethernet Connector has completely new interface and greatly revamped engine. It provides the ability to create three different types of connection:

  • Port-to-port connection, which lets you connect two computers over TCP/IP network. In this way you can emulate virtual null-modem cable connection. Serial to Ethernet Connector allows you to customize remote serial port settings locally or dynamically fetch these settings from the remote end. With Serial to Ethernet Connector you are no longer restricted by null-modem cable length and can establish direct connection with virtually every PC over the world
  • Port-to-TCP client, which allows you to connect to remote server and send/receive communication serial data over TCP/IP network. All that you have to do is specify remote server's IP address (or network name) and TCP port to connect to and open local COM port. Once connection is established, all data sent from remote serial port device, attached to the server, will be genuinely delivered to local serial port where it can be further processed
  • Port-to-TCP server: you will find it indispensable to establish multiple connections to local serial port device and redistribute COM port device data all over the world. Server listens to all incoming connections at the defined TCP port and redirects input/output serial data to TCP/IP network. You may specify TCP port to listen to, COM port and TCP port access rights, etc. Server could be configured to start automatically on system boot, taking advantage of Windows services approach

To get more information about differences between these types of connection, please, consult Usage Scenario page.

How does it work?

Serial to Ethernet Connector uses virtual port technology which fully emulates real serial ports and duplicates all their functionality. Windows OS treats virtual serial ports in the same way as real ones therefore you are no longer limited to just 2 real ports (less/any number of physical ports you have in the system) per system and may create COM port connections without occupying any real serial port. To create such connection you should create serial port's connection pairs on both of the computers. You must specify IP address and port number to access to (in case you are setting up the client), port number and TCP/COM options to listen to (in case you are establishing the terminal servers) or remote serial port name to access (if you are emulating null-modem connection). These settings will be used to connect to remote computer. When serial port device, attached to real COM port, sends communication data it will be actually transmitted over TCP/IP network.

Main Features

  • Share your serial port device with others using TCP/IP client-server application
  • Connect to remote computer using null-modem emulation
  • Provide access to up to 255 serial ports simultaneously
  • High speed data exchange from/to virtual serial port (up to 256 kbits)
  • Automatically restore connection within a customizable timeout on connection brakes
  • Dynamically change communication port parameters without necessity to reopen it
  • Ports could be automatically configured every time you boot your PC
  • Map your real serial port to any other virtual or real port (up to 255)
  • Customize serial port's connection parameters (baudrate, parity, flow-control, databits, stopbits)
  • Connection speed in serial port pairs is much more reliable and faster than in physical links
  • Fully compatible with Windows 98SE/Me/NT4/2000/XP/2003/64-bit XP/64-bit 2003
  • Fully compatible with HyperThreaded and multi-processor systems
  • Works under virtual machine
  • Single license allows you to install this application on two computers to provide client-server architecture

Eltima Software offers a 14-day try-before-you-buy demo license to evaluate Serial to Ethernet Connector and make your mind.

Eltima Software GmbH
Georg-Wilhelm str. 4
10711 Berlin Germany 		Support Line:
Toll-free #:+1-888-4ELTIMA [CET]
Fax: +1 530 698 5877 		Customer Care Center:
www.eltima.com/ccc


Purchase Information

Purchase Information

Serial to Ethernet Connector

Single License
Order via ShareIt!
order EUR USD
€ 89.95
$ 99.95

OEM license
Order via ShareIt!
order EUR USD
€ 1950.00
$ 2350.00

Limited site license
Order via ShareIt!
order EUR USD
€ 850.00
$ 1079.40

Unlimited site license
Order via ShareIt!
order EUR USD
€ 1250.00
$ 1587.35

Source code license

Mail us

Single license: this license grants you non-exclusive rights to install and use the program on two computers and can be utilized only by the person this Software Product is registered to. This license can not be shared or used concurrently by different individuals. Each individual must purchase a separate license for the Product to use it. More rights are granted by Unlimited license.

OEM license: If you obtained this license agreement with the Software Product, you are entitled to use it as a part of the Hard and Software packages according to this license agreement.

Limited site license: Limited Site License is an alternative to multiple licenses and will be suitable for any company that has offices within one geographical location. You will be able to install our software on any number of computers within this one location. Unlimited Site License can be supplied in case you are interested in installing our product within your offices worldwide. With Site License your copy of our software will be licensed to your company name

Unlimited site license: grants unlimited rights on utilizing the Software Product by all workers of the Licensee's company worldwide.

Source code license: Ordering Source Code license on VSP ActiveX Control you receive all source codes of the Control, extensively commented, including all needed instructions and manuals. In addition we provide full FREE technical and information lifetime 24/7 support, and professional consulting services absolutely for FREE. Our leading developers will help you implement Source codes and understand the advanced part of the product.

Registration key is delivered immediately after the order placement. We accept Mastercard/Eurocard, Visa, American Express, and Diner's Club online. Alternatively, we support bank transfer/wire transfer, we accept Checks and Money Orders through postal mail.

After you have your registration key, please, use "Help -> Enter registration code" option to register your copy of Serial to Ethernet Connector.

For orders processing we are using ShareIt! companies services - world's leading e-commerce providers for software and shareware sales via the Internet.

ShareIt!
Germany
share-it!
a service of digital river
Vogelsanger Strasse 78,
50823 Cologne
Germany
Phone: +49 221 31088-20
Fax: +49 221 31088-29
info@shareit.de 		USA
ShareIt! Inc.
element 5 AG
9625 West 76th Street, Suite 150
Eden Prairie, MN 55344, USA
Phone: +1 (952) 646-5747
Fax: +1 (952) 646-4552
sales@shareit.com

Security Guarantee. Online order placement page has been secured with a digital certificate by VeriSign, Inc. This is shown via the "site certificate" that sits on all secure pages. To view this certificate, click on the VeriSign logo at the bottom of the page or the solid key on the docs_bottom bar of your browser window. A small frame displaying site security information will appear.

VeriSign, Inc.

Lifetime technical support is available 24 hours a day, 7 days a week, 365 days a year via email, phone or fax. If you have any problems using our products, please send us your detailed comments, suggestions, questions. We value every customer and will reply to you as soon as possible. If you are a registered user, you can use the technical support via email or fax. Our registered users can also submit support requests by e-mail for priority support customers.

Upgrade Policy. All program upgrades within one major version (that you purchase) are free to you as a registered user. As a registered customer, you can purchase all our other similar software at a discounted price. For more detailed information about our upgrade policy, please email to support@eltima.com

Money back guarantee. To insure that you are receiving quality service and ordered products work as they were announced to, Eltima offers an honor-based 14 days money-back-guarantee when you purchase any of our products. Honor-based means we will be glad to return your investment when we are sure the product is malfunctioning on client's PC and we receive assistance in finding out the reason on the side of our customers.

Eltima Software GmbH


Software license agreement

Software license agreement

IMPORTANT INFORMATION – READ CAREFULLY

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and Eltima Software GmbH.

The SOFTWARE is the property of Eltima Software GmbH and is protected by copyright laws and international copyright treaties.

Trial version

If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follows:

You may:

  1. Install and use the unlimited number of copies of the Trial VERSION.
  2. Use one or more copies of the Trial VERSION for evaluation purposes only.
  3. Copy and distribute freely the Trial VERSION (see 'DISTRIBUTION').

You may not:

  1. Sublicense, rent or lease the Trial VERSION or any portion of it (unless you are an authorized reseller/partner).
  2. Decompile, disassemble, deflash, reverse engineer or modify the Trial VERSION or any portion of it.

Distribution:

You are hereby licensed to make as many copies of the Trial VERSION as you wish and distribute them to anyone provided that all files are intact. You must distribute the install form of the Trial VERSION (not the files resulting of an installation). You are not allowed to sell the Trial VERSION (except for shipment and handling charges). Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission. Please inform us by e-mail each time you distribute the Trial VERSION.

Warranty disclaimer:

The SOFTWARE is supplied "AS IS". Eltima Software GmbH disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE. Eltima Software GmbH claims no responsibility for illegal usage of this SOFTWARE.

Disclaimer of damages

Eltima Software GmbH assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if Eltima Software GmbH has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


System requirements

System requirements

Serial to Ethernet Connector will run on any computer systems that meet the minimum requirements specified here. Choose the recommended requirements if you wish to utilize Serial to Ethernet Connector at the best potential.

Minimum system requirements:

Processor | Pentium II class at least 200 MHz
OS | Windows 98 SE, NT4, Me, 2000, XP, 2003
RAM | 64 MB
Disk Space | 3-5 MB of initial free disk space
Video | 800x600, True Color
For improved performance, we recommend:
Processor | 1 GHz or more
RAM | 256 MB or more
Video | 1024x768, True Color 32 bit

Note: TCP/IP Network protocol should be installed and at list one serial port should exist.


Installation

Installation

Serial to Ethernet Connector installation process is simple and straightforward. All you need to do is accomplish a few simple steps:
  • Download the latest version of Serial to Ethernet Connector at:
    http://www.eltima.com/download/serial_ethernet_connector.exe
  • Double click it using any file manager or Windows Explorer in order to start installation process.
  • Follow the prompts given, study the License Agreement carefully, select the destination path, choose shortcuts you wish to be created and finish the installation.
  • Finally you will need to navigate either to the Start Menu and locate the launcher in Programs submenu or double-click the shortcut created on the desktop, if you chose this option, and Serial to Ethernet Connector will be launched.
  • Installer will suggest you registering the component immediately.


What's new in this version?

What's new in this version?

Serial to Ethernet Connector 3.0
Build 3.0.12.109 [Released: December 30, 2005]

  • Fixed: The description of real serial port. Now you may use SEC for serial ports created by different devices (USB-to-COM)

Serial to Ethernet Connector 3.0
Build 3.0.12.106 [Released: December 22, 2005]

  • Improved: Real-time Baudrate value update for Port-to-Port connection

Serial to Ethernet Connector 3.0
Build 3.0.12.104 [Released: December 7, 2005]

  • Changed: The start up sequence of the service (now it depends on Plug and Play)

Serial to Ethernet Connector 3.0
Build 3.0.12.102 [Released: November 30, 2005]

  • Fixed: GUI interface issues
  • Fixed: Close TCP connection issues in service during reboot

Serial to Ethernet Connector 3.0
Build 3.0.12.97 [Released: November 21, 2005]

  • Port-to-port connection bug is fixed
  • Windows 9x/Me redistribution description is added to User Manual
  • Fixed: Parameters update for Port-to-TCP server connection

Serial to Ethernet Connector 3.0
Build 3.0.12.93 [Released: October 25, 2005]

  • Greatly improved interface and program's engine

Network Serial Ports 2.3
Build 2.3.3.18 [Released: July 5, 2005]

  • Some bugs in advanced security code are fixed

Network Serial Ports 2.3
Build 2.3.3.17

  • Fully rewritten version


Usage scenario

Usage scenario

Serial to Ethernet Connector offers 3 types of connection: port-to-port, serial port to TCP/IP client and serial port to TCP/IP server. Let's review all of them.

  1. Port-to-port

    2. Port-to-port option allows you to implement null-modem cable link of two computers located on the LAN/WAN/Internet/Intranet, bypassing the limitation on cable length and freeing you from messing up with the cable. To start with, you should create a connection serial pair on the first host. For instance, you bundle your local COM3 port with the remote COM4 port. On the second computer you should create an inverted serial pair as well, binding your local port with the remote one (for example COM4 to virtual COM3) and assigning network name or IP address of the first host to remote COM port. Once both pairs are created you are ready to establish null-modem connection over TCP/IP network. Additionally, you may set up reconnection period of time. In case there were any problems with the connection, Serial to Ethernet Connector will automatically try to restore it.

    Notice: Single license for Serial to Ethernet Connector allows you to install this application on both computers.

  2. COM to TCP/IP client

    3. This type of connection allows you to send/receive serial port data over TCP/IP network. Client could be configured to connect to remote server on specific TCP port and redirect all incoming/outgoing data to serial port. The data can be further processed by appropriate software or redirected to COM port. To establish this type of connection you should create a pair that bundles real local serial port with the remote one. Assign server's IP address (or local network name), port number and input/output direction to remote serial port and have communication port data available as if it is coming from the real serial device. Same as with previous type you may set up reconnection time to automatically restore connection if any problems occur.

  3. COM to TCP/IP server

    4. COM to TCP/IP server option endows you with the ability to share your local serial port device data with multiple clients on the net (which is the idea behind terminal server). All that you have to do is create a serial pair and specify port name which will be listened at. Clients that connect to this server should be able to handle this communication data. You can install Serial to Ethernet Connector on the second PC (single license allows you to install it on 2 computers) and configure it as a client.


Program Interface

Program Interface

The Main Window is the first thing you see and access when you launch Serial to Ethernet Connector.

By functionality and its purpose the Main Window can be divided into the following parts:
  • Main Menu
  • Toolbar
  • Connections Tree
  • Dialogs
  • Actions bar
  • Status bar

Notice: if not all of these items are visible (toolbar buttons, statusbar) at the start, please, enable corresponding options in the View menu.


Main menu

Main Menu

Serial to Ethernet Connector's Main Menu highly resembles the standard Windows menus and provides convenient access to all program's settings and dialogs options. Main Menu is resizable, movable and dockable and could be easily customized to suite your taste. All actions and dialogs are grouped into the following collections:

  1. Connection

    2. Connection menu contains basic operations that are related to connection management (create, edit, delete, etc.). Please, note, that some of these options are not available (grayed) if no active sessions are present at the moment

    • Wizards

      • Select one of the wizards to guide you through all steps of creating port-to-port or port-to-TCP client/server connections interactively, providing you with self-explanatory information on every option available. Wizards are the great help for novice users to get acquainted with this software.

    • New connection

      • From this menu item you can access one of the three connection creation dialogs: port-to-port, port-to-TCP (server) and port-to-TCP (client). By selecting any of these options corresponding connection dialog will be selected and brought to top from the Actions bar and you can specify new connection settings. Alternatively, you can use wizards to create new connection as described above.

    • Edit connection

      • Open "Edit" dialog in Actions bar to customize settings for the currently selected connection in "Connections Tree".

    • Delete connection

      • In order to close currently selected connection in "Connections Tree" and remove its configuration parameters, please, select this option. You will be prompted to confirm your action.

    • Delete all

      • "Delete all" menu option removes all connections currently available in the system. This is the quickest way close all open ports and break established connections. Same as above, you will be prompted to confirm your action.

    • Mirror configuration

      • This menu item is available for port-to-port connection and allows you to create inverted configuration parameters on remote host to match the connection created locally. For instance, you are trying to establish connection between local (Host A) COM1 port and remote (Host B) COM4. Remote host, in a turn, must set its COM4 port to be connected to COM1 on Host A. Using "Mirror configuration" you can create such configuration in one click.

    • Exit

      • Close Serial to Ethernet Connector application.

  2. Service

    3. This menu allows you to enable/disable Serial to Ethernet Connector running as Windows service. The advantage of Windows services is that they are automatically started on reboots which is useful if you are setting up a server application and want it running all the time. Please, note that only one menu option can be activated at a time.

  3. View

    4. View menu allows you to modify Serial to Ethernet Connector appearance such as toggling Status bar On/Off, customizing Toolbar buttons as well as assigning short keys for application's commands, etc.

  4. Help

    • User Manual

      • Open user manual you are currently reading

    • Homepage

      • Visit Serial to Ethernet Connector homepage (requires Internet connection)

    • Enter registration code

      • Enter registration code to unlock the demo version. This code will be sent to you after you purchase a license

    • About

      • Get brief information about Serial to Ethernet Connector (version and build number, registration info, support e-mail address, etc.)


Toolbar

Toolbar

Toolbar delivers quick and convenient access to most commonly used tasks and commands and offers the following options:

  • Wizards

    • Select one of the two wizards to create new connection.

  • Add

    • Select one of the three options to invoke port-to-port, port-to-TCP (client) or port-to-TCP (server) dialogs in order to set up new connection.

  • Edit

    • Open Edit dialog window to customize currently active connection settings.

  • Delete

    • Remove currently active configuration in "Connections Tree". Please, note that if this connection is open then after clicking "Delete" button it will be closed. Deleting configuration will remove all virtual serial ports that were created by Serial to Ethernet Connector within this connection.

  • Delete all

    • "Delete all" button will close all opened connections and remove configurations from your system.

  • Mirror configuration

    • This menu item is available for port-to-port connection and allows you to create inverted configuration parameters on remote host. For instance, you are trying to establish connection between local (Host A) COM1 port and remote (Host B) COM4. Remote host, in a turn, must set its COM4 port to be connected to COM1 on Host A. Using "Mirror configuration" you are able to create such configuration in one click.

  • Enable Serial to Ethernet Connector

    • This option allows you to run Serial to Ethernet Connector as Windows service. The advantage of Windows services is that they are automatically started on reboots which is useful if you are setting up a server application and want it running all the time.

  • Disable Serial to Ethernet Connector.

    • Disable Serial to Ethernet Connector service

  • Help

    • User Manual

      • Open user manual you are currently reading.

    • Homepage

      • Visit Serial to Ethernet Connector homepage (requires Internet connection).

    • Enter registration code

      • Enter registration code to unlock the demo version. This code will be sent to you after you purchase a license.

    • About

      • Get brief information about Serial to Ethernet Connector (version and build number, registration info, support e-mail address, etc.)

  • Add or remove buttons

    • Specify which Toolbar buttons should be displayed.

Toolbar is a dockable, movable and resizable panel.


Connections Tree

Connections Tree

Connections Tree window serves to help you visualize all created and established connections in a system. Each connection is represented as a single entry, which could be expanded to get detailed information about port number, connection status, remote host name port, sent/received bytes and so on. For better representation, each connection type has its own visually distinct icon and name.

Additionally, Connections Tree provides context menu which allows you to edit or delete current connection, create mirror configuration on remote host (for port-to-port connection only), delete connections and expand/collapse Connections Tree.

Connections Tree always displays latest connection info which is dynamically updated on every event occurred.


Floating dialogs

Floating dialogs

Floating dialogs available from the Actions bar allow you to create one of the connection types or customize currently active connection parameters. There are several ways to invoke particular dialog window: from the Main Menu (choose "View" menu and select necessary option), from Connections Tree context menu and from Actions bar. Let's review all available dialogs.

  • Create port-to-port connection

    • Port-to-port connection emulates null-modem connection over TCP/IP network.

    Connection name - specify unique name to identify these connection settings.

    Select local port - specify serial port name on local computer which will participate in connection and to which your application will connect.

    Create this port as virtual (full emulation) checkbox allows you to create local serial port as virtual one. Virtual serial ports are the same copies of real ones and support all their features such as parity control, databits, stop bits, baudrate, flow control, signal lines, etc. The advantage of virtual serial ports technology is that you are not limited by the number of physical serial ports in a system and in this way free existing serial ports for other applications. For instance, you can connect serial device to communication port COM1 on server side and read this data by your application connected to COM255 on client's side. Additionally, you may map real ports to virtual ones (for Windows 2000, XP and 2003) to create virtual connection, however you won't receive data from real port being mapped.

    Fixed real port settings and Dynamic real port settings radio buttons allow you to either manually assign predefined serial port settings (for instance you have legacy serial port device that has specific parameters) or fetch them automatically from the remote end. Please, note this option is not available (grayed) if you are creating virtual serial port since communication parameters are fetched during handshaking process.

    Baudrate defines the rate at which bits are transmitted (bits per second). In the serial port context, "9600 baud" means that the serial port is capable of transferring a maximum of 9600 bits per second. To be able to communicate at the maximum speed, both local and remote ends must be configured to the same baud rate and pass handshake stage before you can successfully read or write data.

    Databits defines the number of data bits to transmit. Usually, the transferred bits include the start bit, the data bits, the parity bit (if used), and the stop bits. However, only the data bits carry useful information. You can configure DataBits to be 5, 6, 7, or 8. Data is transmitted as a series of five, six, seven, or eight bits with the least significant bit sent first (little-endian). At least seven data bits are required to transmit ASCII characters. Eight bits are required to transmit binary data. Five and six bit data formats are used for specialized communication equipment.

    Parity defines the parity checking type. Parity can be one of the following: none, odd, even, mark, or space. If Parity is none, parity checking is not performed and the parity bit is not transmitted. If Parity is odd, the number of mark bits (1s) in the data is counted, and the parity bit is asserted or unasserted to obtain an odd number of mark bits. If Parity is even, the number of mark bits in the data is counted, and the parity bit is asserted or unasserted to obtain an even number of mark bits. If Parity is mark, the parity bit is asserted. If Parity is space, the parity bit is unasserted.

    Stop bits sets the number of bits used to indicate end of a byte. Stop bits could be 1, 1.5, or 2, however almost all contemporary devices are configured to 1 Stop bit. Please, note that both ends of serial port must be configured to transmit the same number of stop bits to work properly.

    Flow control defines the Flow control type. Flow control is usually used to ensure that the receiving serial port device can handle all of the incoming data sent to it. Advanced Serial Port Terminal provides the following values you can assign to Flow control: Xon/Xoff (commonly used for asynchronous communication), Hardware and None.

    Select remote port option defines the remote host's serial port name to connect to. Please, note that remote end should be set to have exactly the same name of the port.

    Remote host text field allows you to set remote host's IP address or local network name. Click the "..." button at the end of this field to browse and select network computer.

    Reconnect option defines the time (in milliseconds) at which Serial to Ethernet Connector should try to reconnect to remote end if connection is broken. For instance, if you set this value to 2000, Serial to Ethernet Connector will try to re-establish connection every 2 seconds.

    Do not establish connection until virtual port is open defines the connection behavior: Serial to Ethernet Connector will not try to connect/reconnect to remote end until virtual serial port is opened locally. This option could be useful to prevent attempts to connect in vain and keep communication port open.

    Automatically mirror connection option (if enabled) specifies whether inverted configuration parameters should be automatically created on remote end.

    Create port-to-port connection button will create new connection configuration. On successful creation you may see it in Connections Tree. Please, note that connection will not be established until you start the service ("Enable Serial to Ethernet Connector" button in Toolbar).

  • Create port-to-TCP server connection

    • This dialog window allows setting up a server on local computer that will listen to incoming requests and accept connections from clients on specific port.

    Connection name field defines unique name to identify this connection configuration.

    Select local port - specify serial port name on local computer which will participate in connection.

    Create this port as virtual (full emulation) checkbox allows you to create local serial port as virtual one.

    Baudrate defines the rate at which bits are transmitted (bits per second).

    Databits defines the number of data bits to transmit.

    Parity defines the parity checking type.

    Stop bits sets the number of bits used to indicate end of a byte.

    Flow control defines the Flow control type.

    Local TCP port allows you to set the port which all incoming connections will be accepted at. We don't advise you to set this value lower than 1024 to avoid interference in work of the standard servers (IIS, NetBIOS, DNS, etc.) If not sure, please, do not modify this value.

    COM port access and TCP port access options specify the access rights and, as the result, communication direction. "COM port access" defines who can connect to COM port (outgoing direction) while "TCP port access" - whom you are allowing to connect to server (incoming direction). Available options are: All TCP/IP clients (no restriction), Only first connected client, Ignore all (full restriction).

    Create port-to-TCP server connection button creates new connection configuration. On successful creation you may see it in Connections Tree. Please, note that connection will not be established until you start the service ("Enable Serial to Ethernet Connector" button in Toolbar).

  • Create port-to-TCP client connection

    • This dialog window allows setting up a client on local computer that to connect to remote server on specific port and send/receive serial port data over TCP/IP network.

    Connection name field defines unique name to identify this connection configuration.

    Select local port - specify serial port name on local computer which will participate in connection.

    Create this port as virtual (full emulation) checkbox allows you to create local serial port as virtual one.

    Baudrate defines the rate at which bits are transmitted (bits per second).

    Databits defines the number of data bits to transmit.

    Parity defines the parity checking type.

    Stop bits sets the number of bits used to indicate end of a byte.

    Flow control defines the Flow control type.

    Data transfer allows you to set the direction which communication data will follow: Only outgoing, Only incoming, Full duplex (two-way connection).

    Server address text field allows you to set server's IP address or local network name to connect to. Click the button at the end of this field to browse and select network computer.

    Server TCP port defines TCP port number to connect to server. It should match the one which server is listening to.

    Reconnect option defines the time (in milliseconds) at which Serial to Ethernet Connector will try to reconnect to remote end if connection is broken. For instance, if you set this value to 2000, Serial to Ethernet Connector will try to re-establish connection every 2 seconds.

    Do not establish connection until virtual port is open defines the connection behavior: Serial to Ethernet Connector will not try to connect/reconnect to remote end until local virtual serial port is not opened. It could be useful to prevent attempts to connect in vain and keep communication port open.

    Create port-to-TCP client connection button creates new connection configuration. On successful creation you may see it in Connections Tree. Please, note that connection will not be established until you start the service ("Enable Serial to Ethernet Connector" button in Toolbar)

  • Edit connection

    • This dialog allows changing connection parameters dynamically. Its appearance depends on the connection type you want to modify. To select particular connection, please, right-click it within the Connections Tree and select "Edit connection" option from context menu. Alternatively, click "Edit connection" tab in Actions bar and select the required connection from "Connection name" drop-down menu.

Dialog window is movable, resizable, dockable and supports autohiding.


Actions bar

Actions bar

Actions bar allows you to invoke one of the four Dialog windows. If you have incidentally closed one of the Floating Dialogs, you may open it either from "View" menu or by selecting the required option from "New connection" at Toolbar.

Dialog window is movable, resizable, dockable and supports autohiding.


Status bar

Status bar

Status bar provides a brief information (hint) on interface items and program usage.


How to create/remove port-to-port connection?

How to create/remove port-to-port connection?

To emulate null-modem connection over TCP/IP network you must install Serial to Ethernet Connector on both computers, specify remote serial port number and IP address (or network name) to connect to and click "Enable Serial to Ethernet Connector" button to establish connection. If you have set virtual serial port on either of the hosts, it must be opened prior to connection attempts. Serial to Ethernet Connector uses TCP/IP network protocol as transport layer to connect both ends.

There are 2 ways of creating port-to-port connection: using Wizard or Dialog. Wizard will guide you through every single step of setting connection parameters, providing self-explanatory descriptions of them. It is more convenient for novice users to receive detailed help while getting around with this software. Dialog, in a turn, contains all connection settings in one window, which is a benefit if you want to scope all parameters at once and speed up the whole process. Whichever method you choose, you shouldn't have any problems with Serial to Ethernet Connector.

  • Setting port-to-port connection using Dialog

    1. Open "Create port-to-port connection" dialog window by clicking "Connection" -> New connection -> Create port-to-port connection from the Main Menu or by choosing corresponding tab in "Actions bar".

    2. In Dialog window specify connection name (to identify this configuration) and local serial port which will participate in connection.

    3. Tick "Create this port as virtual (full emulation)" option if you would like to use virtual serial ports instead of real ones. In case you are establishing null-modem connection between two hosts, you may safely enable this option since there is no need to use any real communication port. Both ends will be connected by virtual null-modem cable and data will be transmitted over TCP/IP network. However, if you want to access serial port device, attached to local host, from remote host, you should not use port emulation. If you disable mentioned checkbox, you may customize connection parameters or try to fetch them from remote end automatically. There is no need to modify those parameters for virtual ports because they are set during handshaking process.

    4. Next, specify remote serial port number and remote host name to connect to. Please, note that serial port name should match the one you are setting on remote end. Remote host name could be either IP number or NetBIOS network name.

    5. Specify reconnection period (in milliseconds). When connection is broken, Serial to Ethernet Connector will try to restore connection after reconnection period. "Do not establish connection until virtual port is open" checkbox specifies whether connection attempts should be made only after virtual port is opened for communication by your application.

    6. Enable "Automatically mirror connection" if you want to try to create inverted configuration on remote host automatically. For instance, if you are trying to establish connection between local COM1 port and remote COM4, the remote host must set to its COM4 port to be connected to COM1 on other end.
    7. Click "Create port-to-port connection" button to create configuration.

    8. Open local serial port. You may use Windows Hyperterminal utility for that purpose.
    9. Follow the steps above and create similar configuration on remote end. Communication ports must match the settings you have set in configuration.
    10. Now you are ready to start communication process.

  • Setting port-to-port connection using Wizard

    1. Open connection wizard by clicking "Connection" -> Wizards -> Connect computers from the Main Menu or from application's Toolbar.

    2. New window will pop-up with overall process description. Tick "Do not show this Welcome screen again" if you want to skip this step next time you open the Wizard.
    3. Define connection name to identify it in "Connections Tree" window.
    4. Specify local COM port you will connect to and define whether this port should be real or virtual one. In case you are establishing null-modem connection between two hosts, you may safely enable this option since there is no need to use any real communication port. Both ends will be connected by virtual null-modem cable and data will be transmitted over TCP/IP network.
    5. Define whether serial port settings should be fetched dynamically from remote end during initialization process or specify it manually. Please, note this step is available only if you haven't enabled "Create this port as virtual" option in the previous step.
    6. Define remote host's IP address (or network name) and COM port to connect to. If you are establishing connection to virtual serial port at the remote end, make sure you have enabled "Create this port as virtual" or connection will fail.
    7. Optionally, you may define reconnection period which is used to automatically restore connection on line breaks.
    8. At last, verify that all settings are correct and click "Finish" button to exist the Wizard. On successful creation, you may see your connection is "Connections Tree".

  • Removing port-to-port connection configuration

    1. Select the configuration you want to remove in Connections Tree

    2. Right-click it to open context menu

    3. Select "Delete connection" menu option
    4. Confirm that you want to delete current configuration


How to create/remove port-to-TCP client connection?

How to create/remove port-to-TCP client connection?

Serial to Ethernet Connector provides flexible way to establish client-server connection between two COM ports using Virtual Serial Port technology. You don't have to purchase expensive COM port expansion cards to bypass 2-serial-port-per-PC limit. How you can benefit from it? With virtual serial port technology you may create virtual port, open the port by your application and read the data from the server directly, leaving the real port unoccupied. Moreover, virtual serial port connection is faster and more reliable than real serial port connection. In the terms of client-server application, you may create up to 255 simultaneous connections to remote server.

There are 2 ways of creating port-to-TCP client connection: using Wizard or Dialog. Wizard will guide you through every single step of setting connection parameters, providing detailed descriptions of them. It is more convenient for novice users to get accurate help while getting around with this software. Dialog, in a turn, contains all connection settings in one window, which is a benefit if you want to scope all parameters at once and speed up the whole process. Whichever method you choose, you shouldn't have any problems with Serial to Ethernet Connector.

  • Setting port-to-TCP client connection using Dialog

    1. Open "Create port-to-TCP client connection" dialog window by clicking "Connection" -> New connection -> Create port-to-TCP client connection from the Main Menu or by choosing corresponding tab in "Actions bar".

    2. In Dialog window specify connection name (to identify this configuration) and local serial port which will participate in connection.

    3. Tick "Create this port as virtual (full emulation)" option if you would like to use virtual serial ports instead of real ones. In case you are feeding incoming data to the application directly, you may safely tick this checkbox, providing that application accepts non-standard COM port names (some programs have COM1/COM2/COM3/COM4 option only). If you disable this checkbox, you may customize connection parameters or try to fetch them from remote end automatically. There is no need of modifying those parameters for virtual ports because they are set during handshaking process. Specify server access mode by selecting one of the three options: full-duplex (bi-directional transfer mode), only incoming and only outgoing.

    4. Specify server's IP address (or network name) and TCP port number to connect to. Make sure that TCP port number matches the one at remote end and isn't blocked by firewall. You may select local network name by clicking ellipsis button at the end of "Server address" text field.

    5. Specify reconnection period (in milliseconds). When connection is broken, Serial to Ethernet Connector will try to restore connection after reconnection period. "Do not establish connection until virtual port is open" checkbox specifies whether connection attempts should be made only after virtual port is opened for communication by your application.

    6. Click "Create port-to-TCP client connection" button to create configuration.

    7. Open local serial port. You may use Windows Hyperterminal utility for that purpose.
    8. Create port-to-TCP server configuration at the remote end and make sure that remote host name and port number match the ones you set in client's configuration.
    9. Now you are ready to start communication process.

  • Setting port-to-TCP client connection using Wizard

    1. Open connection wizard by clicking "Connection" -> Wizards -> Connect serial device to network from the Main Menu or from application's Toolbar.
    2. New window will pop-up with overall process description. Tick "Do not show this Welcome screen again" if you want to skip this step next time you open the Wizard.
    3. Select "Create Serial to TCP/IP Client" option.
    4. Type in connection name to identify it in "Connections Tree" window.
    5. Specify local COM port you want to connect to and define whether this port should be real or virtual one. In case you are reading serial port data from the server using custom application on local end you may safely create a virtual port and not occupy the real one.
    6. Define whether serial port settings should be fetched dynamically from remote end during initialization process or specify them manually. Please, note, this step is available only if you haven't enabled "Create this port as virtual" option in the previous dialog.
    7. Specify server access mode from selecting one of the three options: full-duplex (bi-directional transfer mode), only incoming and only outgoing.
    8. Specify server's IP address (or network name) and TCP port number to connect to. Make sure that TCP port number matches the one at remote end and isn't blocked by firewall.
    9. Optionally, you may define reconnection period which is used to automatically restore connection on line breaks.
    10. Finally, verify that all settings are correct and click "Finish" button to exit the Wizard. On successful creation, you may see your connection is "Connections Tree".

  • Removing port-to-TCP client connection configuration

    1. Select the configuration you want to remove in Connections Tree

    2. Right-click it to open context menu

    3. Select "Delete connection" menu option
    4. Confirm that you want to delete current configuration


How to create/remove port-to-TCP server connection?

How to create/remove port-to-TCP server connection?

Serial to Ethernet Connector allows you to establish full-fledged client-server connection between two serial ports. This could be useful to redistribute your serial port device data to multiple locations all over the world.

There are 2 ways of creating port-to-TCP server connection: using Wizard or Dialog. Wizard will guide you through every single step of setting connection parameters, providing detailed description of them. It is more convenient for novice users to get help while getting around with this software. Dialog, in a turn, contains all connection settings in one window, which is a benefit if you want to scope all parameters at once and speed up the whole process. Whichever method you choose, you shouldn't have any problems with Serial to Ethernet Connector.

  • Setting port-to-TCP server connection using Dialog

    1. Open "Create port-to-TCP server connection" dialog window by clicking "Connection" -> New connection -> Create port-to-TCP server connection from the Main Menu or by choosing corresponding tab in "Actions bar".

    2. In Dialog window specify connection name (to identify this configuration) and local serial port which will participate in connection.

    3. Tick "Create this port as virtual (full emulation)" option if you would like to use virtual serial ports instead of real ones. In case you have attached serial port device to COM port, please, do not use port emulation, otherwise data will not be read from the device.

    4. Specify TCP port number which server will listen to. Make sure this port is not blocked by firewall (if any) and is not used by other servers in your system (DNS, SMTP, IIS, etc.) If not sure, please, don't modify this value.

    5. Specify COM port and TCP port access rights. In the most of the cases "All TCP/IP clients" options should be fine, which creates full-duplex (both directions) connection.

    6. Click "Create port-to-TCP server connection" button to create configuration.

    7. Open local serial port. You may use Windows Hyperterminal utility for that purpose.
    8. Create port-to-TCP client configuration at the remote end and make sure that remote host name and port number match the ones you set in server's configuration.
    9. Now you are ready to start communication process.

  • Setting port-to-TCP server connection using Wizard

    1. Open connection wizard by clicking "Connection" -> Wizards -> Connect serial device to network from the Main Menu or from application's Toolbar.

    2. New window will pop-up with overall process description. Tick "Do not show this Welcome screen again" if you want to skip this step next time you open the Wizard.
    3. Select "Create Serial to TCP/IP Server" option.
    4. Type in connection name to identify it in "Connections Tree" window.
    5. Specify local COM port you want to connect to and define whether this port should be real or virtual one. In case you are reading serial port data from the server using custom application on local end you may safely enable this option.
    6. Specify TCP port which server will listen to incoming connections from the clients. Please, don't specify this number less than 1024 to make sure that Serial to Ethernet Connector won't interfere with other servers running on local machine (DNS, IIS, etc.). If not sure, please, don't modify this value.
    7. Specify COM port and TCP port access rights. You may explicitly define who can access your serial port and who can connect to server.
    8. Finally, verify that all settings are correct and click "Finish" button to exist the Wizard. On successful creation, you may see your connection is "Connections Tree".

  • Removing port-to-TCP server connection configuration

    1. Select the configuration you want to remove in Connections Tree

    2. Right-click it to open context menu

    3. Select "Delete connection" menu option
    4. Confirm that you want to delete current configuration


How to register Serial to Ethernet Connector?

How to register Serial to Ethernet Connector?

Once you have purchased Serial to Ethernet Connector the registration code will be automatically mailed to you immediately. T he next step is to register your copy of Serial to Ethernet Connector.

  1. Launch Serial to Ethernet Connector if it is not running
  2. Select "Help" -> "Enter registration code" from Main Menu

  3. In the new pop-up window enter username and registration code you have obtained from us

  4. Click "Register!" button to register Serial to Ethernet Connector


Redistribution overview

Redistribution overview

In order to be able to use Serial to Ethernet Connector's great features within your application, SEC should be installed on target machines (you can include this as a part of your software installation). Please, note that you need to own OEM license to be able to redistribute Serial to Ethernet Connector without any limitations. Only OEM License grants commercial royalty-free redistribution rights.

To install it on target PC, please follow the steps below:

  • Copy NT4, NT5, NT5x64, Win9x folders and sec_service.exe, vspdxp_install.exe files, supplied with Serial to Ethernet Connector onto target PC
  • Install virtual serial port driver as described in this section
  • Create serial over Ethernet connections in Windows registry as described in this section
  • Install Serial to Ethernet Connector's service as described in this section

To uninstall Serial to Ethernet Connector, please follow the steps below:

  • Stop the service by executing the next command: sec_service.exe /disable
  • Unregister the service as described in this section
  • Remove the key from Windows registry (HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SEC)
  • Remove the driver as described in this section
  • Remove all of the files from the target PC


Driver installation

Driver installation

You may use Serial to Ethernet Connector to integrate our serial over Ethernet software technology into your own programs embedding sec_service.exe

To do this you should obtain Serial to Ethernet Connector [OEM license], register it and then utilize all the benefits of our technology directly from your software.

Attention! This method is applicable for OEM version only. You don't need to do this with standard single-licensed Serial to Ethernet Connector package.

Installing Serial to Ethernet Connector driver under Microsoft Windows 2000/XP

The following files should be copied to the target machine's temporary (permanent) installation directory (you can find these files in NT5 directory).

File | Description
Vsb.inf | .INF file is needed for correct installation of virtual serial bus driver
Vsb.sys | Virtual Serial Bus Driver
Vsbsetup.exe | Executable that will silently install virtual serial bus driver
Vserial.inf | .INF file is needed for correct installation of virtual serial port driver
Vserial.sys | Virtual Serial Port driver

After all these files are copied to target machine, your installation program should execute "vsbsetup.exe" without any parameters. This will register vsb.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetup.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetup.exe /u". This will safely remove virtual serial bus from target system. No reboot will be required.

Installing Serial to Ethernet Connector driver under 64-bit Microsoft Windows XP/2003

The following files should be copied to the target machine's temporary (permanent) installation directory (you can find these files in NT5x64 directory).

File | Description
Vsb.inf | .INF file is needed for correct installation of virtual serial bus driver
Vsb.sys | Virtual Serial Bus Driver
Vsbsetup.exe | Executable that will silently install virtual serial bus driver
Vserial.inf | .INF file is needed for correct installation of virtual serial port driver
Vserial.sys | Virtual Serial Port driver

After all these files are copied to target machine, your installation program should execute "vsbsetup.exe" without any parameters. This will register vsb.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetup.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetup.exe /u". This will safely remove virtual serial bus from target system. No reboot will be required.

Installing Serial to Ethernet Connector driver under Microsoft Windows NT4

The following files should be copied to the target machine temporary (permanent) installation directory (you can find these files in NT4 directory).

File | Description
Vsprt_nt4.sys | Virtual Serial Port Device Driver for NT4
vsbsetupnt.exe | Executable that will silently install virtual serial port driver

After all these files are copied to target machine, your installation program should execute "vsbsetupnt.exe" without any parameters. This will register vsbrt_nt4.sys in the system and load it.

If you plan to provide end-customer with uninstall option, you should keep "vsbsetupnt.exe" on target system. As soon as uninstallation is required, you should execute "vsbsetupnt.exe /u". This will safely remove virtual serial bus from target system. No reboot required.

Installing Serial to Ethernet Connector driver under Microsoft Windows 98/Me

The following files should be copied to the target machine temporary (permanent) installation directory. You can find these files in Win9x directory.

File | Description
VSPD.VXD | Virtual Serial Port Device Driver for Windows 98/Me. Should be copied to SYSTEM directory(for example "C:\Windows\System")

Automatic installation

In case you would like to automate installation process on clients machine independently what version it runs you must copy all drivers in the following subdirectories where you have installed your application:

  • Win9x for Windows 9x versions
  • NT4 for Windows NT4
  • NT5 for Windows 2000, XP and 2003
  • NT5x64 for 64-bit Windows XP/2003 versions

Along mentioned drivers you must copy vspdxp_install.exe file. To start installation process execute vspdxp_install.exe command and in order to uninstall - vspdxp_install.exe /u


Connections installation

Connections installation

You may install connections to the target system in two ways: manually (by editing Windows registry) or by importing registry file (which should be created beforehand). You can accomplish the latter by executing the following command:

REG IMPORT [YOUR_FILENAME].reg

For example, registry file may look like this:

[HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SEC\Config]
"PairCOM1"="VCOM1,VCOM1,localhost:8888,2000,1,PTP_1"
"ConnectServerCOM2"="VCOM2,5000,3,3,5,PTS_1"
"ConnectClientCOM3"="VCOM3,localhost:5000,3,2000,1,PTC_1"

The full path to service location is: HKEY_LOCAL_MACHINE\SOFTWARE\ELTIMA Software\SEC\Config

Let's take a closer look at the registry options:

  1. Port-to-port connection

    2. Parameter's name:

    Pair[Port]

    Value :

    Port

    This value defines the local and remote serial ports to connect to. It is the string of the following comma-separated items:

    • Name of the local port, preceded by R for real serial port and V for virtual one. For instance, RCOM1 is the name for real COM1, while VCOM5 - virtual COM5.
    • Connection settings (optional value which is applicable for the real serial ports only). Set "U" for the connection settings which are dynamically fetched from the remote end during handshaking process. Otherwise, you must set connection parameters explicitly, each value should be separated by dash ("-"). See notes on control lines in this section
    • Name of the remote serial port to connect to.
    • Hostname and TCP port to connect to.
    • Reconnection timeout.
    • Virtual port connection behavior. If this value is set to "1", then serial port connection should be established automatically on virtual serial ports creation and "0" otherwise. It corresponds to "Do not establish connection until virtual port is open" checkbox in our Serial to Ethernet Connector.
    • Connection's name which is visible in "Connections Tree".
      • It has the following format:

      COMPort,[Baudrate-Parity-Databits-StopBits-FlowControl],Hostname:TCPport,ReconnectionTime(in msec),ConnectionStatus,ConnectionName

    Port-to-port configuration examples:

    • "PairCOM2"="RCOM2,U,VCOM2,localhost:8888,2000,1,PTP_1"

      • It means that local serial port is set to real COM2 port, connection settings should be fetched dynamically, remote serial port is virtual COM2 , server address = localhost, server TCP port = 8888, reconnection time = 2000 msec, link will not be established until the virtual serial port is open, connection name is PTP_1.

    • "PairCOM1"="RCOM1,9600-N-7-1,VCOM2,localhost:8888,2000,1,PTP_1"

      • It means that local serial port is set to real COM1, connection settings are set manually, baudrate = 9600, parity = none, databits = 7, stopbits = 1, flow control is set to none, remote serial port is virtual COM2, server address = localhost, server TCP port = 8888, reconnection time = 2000 msec, link will not be established until the virtual serial port is open, connection name is PTP_1.

    • "PairCOM2"="VCOM2,VCOM2,localhost:8888,2000,1,PTP_1"

      • It means that local serial port is set to virtual COM2 port, remote serial port is virtual COM2 , server address = localhost, server TCP port = 8888, reconnection time = 2000 msec, link will not be established until the virtual serial port is open, connection name is PTP_1.

  2. Port-to-TCP client connection

    3. Parameter's name:

    ConnectClient[Port]

    Value :

    Port

    This value defines the local and remote serial ports to connect to. It is the string of the following comma-separated items:

    • Name of the remote port, preceded by R for real serial port and V for virtual one. For instance, RCOM1 is the name for real COM1, while VCOM5 - virtual COM5.
    • Connection settings (applicable for real serial ports only). Set "U" for the connection settings which are dynamically fetched from the remote end during handshaking process. Otherwise, you must set connection parameters explicitly, each value should be separated by dash ("-"). See notes on control lines in this section.
    • Hostname and TCP port to connect to.
    • Connection direction which should be set to 1 for outgoing only, 2 - for incoming only and 3 - full duplex mode.
    • Reconnection timeout.
    • Virtual port connection behavior. If this value is set to "1", then serial port connection should be established automatically on virtual serial ports creation and "0" otherwise. It corresponds to "Do not establish connection until virtual port is open" checkbox in our Serial to Ethernet Connector.
    • Connection's name which is visible in "Connections Tree".

      • It has the following format:

      COMPort,[Baudrate-Parity-Databits-StopBits-FlowControl],Hostname:TCPport,ConnectionDirection,ReconnectionTime(in msec),ConnectionStatus,ConnectionName

    Port-to-TCP client connection examples:

    • "ConnectClientCOM1"="RCOM1,9600-N-7-1,localhost:5000,3,2000,1,PTC_1"

      • It means that local serial port is set to real COM1 port, connection settings are not dynamic, baudrate = 9600, parity = none, databits = 7, stop bits = 1, flow control is set to none, server address = localhost, server TCP port = 5000, datatransfer = full-duplex, reconnection time = 2000 msec, link will not be established until the virtual serial port is open.

    • "ConnectClientCOM2"="RCOM2,U,localhost:5000,3,2000,1,PTC_1"

      • It means that local serial port is set to real COM2, dynamic connection settings are applied, server address = localhost, server TCP port = 5000, datatransfer = full-duplex, reconnection time = 2000 msec, link will not be established until the virtual serial port is open.

    • "ConnectClientCOM4"="VCOM4,localhost:5000,3,2000,1,PTC_1"

      • It means that local serial port is set to virtual COM4, server address = localhost, server TCP port = 5000, datatransfer = full-duplex, reconnection time = 2000 msec, link will not be established until the virtual serial port is open.

  3. Port-to-TCP server connection

    4. Parameter's name:

    ConnectServer[Port]

    Value :

    Port

    This value defines the local and remote serial ports to connect to. It is the string of the following comma-separated items:

    • Name of the remote port, preceded by R for real serial port and V for virtual one. For instance, RCOM1 is the name for real COM1, while VCOM5 - virtual COM5.
    • Connection settings (applicable for real serial ports only). Set "U" for the connection settings which are dynamically fetched from the remote end during handshaking process. Otherwise, you must set connection parameters explicitly, each value should be separated by dash ("-"). See notes on control lines in this section.
    • TCP port to listen to.
    • TCP port access rights: 1 stands for full restriction, 2 - for the first only and 3 - no restrictions applied.
    • COM port access rights: 1 stands for full restriction, 2 - for the first only and 3 - no restrictions applied.
    • Reserved field which should always be equal to 5.
    • Connection's name which is visible in "Connections Tree".

      • It has the following format:

      COMPort,[Baudrate-Parity-Databits-StopBits-FlowControl],TCPport,TCPAccess,COMAccess,ReservedField,ConnectionName

    Port-to-TCP server connection examples:

    • "ConnectServerCOM3"="VCOM3,5000,3,3,5,PTS_1"

      • It means that local serial port is set to virtual COM3 port, TCP port to listen to = 5000, TCP access = all granted, COM access = all granted, connection name is set to PTS_1.

    • "ConnectServerCOM1"="RCOM1,U,5001,3,1,5,PTS_2"

      • It means that local serial port is set to real COM1 port, connection settings should be set dynamically during handshaking process, TCP port to listen to = 5001, TCP access = all granted, COM access = ignore all, connection name is set to PTS_2.

    • "ConnectServerCOM1"="RCOM1,9600-N-7-1,5001,3,1,5,PTS_3"

      • It means that local serial port is set to real COM1 port, connection settings are set manually, baudrate = 9600, parity = none, databits = 7, stopbits = 1, flow control = none, TCP port to listen to = 5001, TCP access = all granted, COM access = ignore all, connection name is set to PTS_3.

Notes on serial port control information:

This is a string of 4 or 5 items, separated by dash:

  • BaudRate

    • Defines serial port baudrate. Possible values are: 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 56000, 57600, 115200, 128000 and 256000. By default, 110 value is taken.
  • DataLength

    • Defines data lengths in a packet. Possible values are: 5, 6, 7 and 8. Default value is 7 bits.
  • Parity

    • Defines parity is one of the following values: (E)ven, (O)dd, (M)ark, (S)pace, or (N)one. By default (N)one is taken.
  • StopBits

    • Defines a number of stop bits. Possible values are: "1", "1,5" and "2". Default value is "1".
  • Handflow

    • Defines flow control value. Possible values are: Hardware (P), Xon/Xoff (X) and None. Default value is None.


Working with services

Working with services

Service installation

  1. After successful driver installation you may work directly with SEC's service. First of all you have to register it using registration code you have received and REG command-line argument. Registration should be completed this way: sec_service.exe REG [YOUR NAME] [YOUR CODE]
  2. After registration, the service needs to be installed in the target environment. To do this type-in the following command-line argument "sec_service.exe /install". If the service is installed successfully, you will get "OK" message or "Error" message otherwise.
  3. At last, you may start the service by executing "sec_service.exe /enable" command.
Service uninstallation

If you want to uninstall the Serial to Ethernet Connector's service, execute the following set of operations:
  1. If the service is currently running, stop it using "sec_service.exe /disable" command-line argument.
  2. Enter "sec_service.exe /uninstall" command-line argument to uninstall the service.
  3. You may also uninstall the driver for virtual ports using "vsbsetup.exe /U" command-line argument.
COMMANDS REFERENCE

The list of instructions for the service follows:

/install - Service installation
/uninstall - Service uninstallation
/Enable - Enable service
/Disable - Stop service
REG - Service registration

Here are several examples:

sec_service.exe /install - service installation
sec_service.exe /enable - service launching


Pair-to-Pair Connection protocol description

Pair-to-Pair protocol description

Note: in order to create pair-to-pair connection and send/receive control commands you must first establish TCP/IP connection between two hosts (for instance, using WinSock API) on 8888 port.

  • CONNECT

    • CONNECT command establishes virtual null-modem link between two hosts.

    Syntax

   CONNECT [R,V]Port,[R,V]Port!

    Parameters

    The First parameter is a local serial port and second is remote port to connect to. Letter "R" means that the serial port is real one while "V" means the virtual.

    Return value

    Command returns "OK" if succeeds and "ERROR" otherwise.

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command

  • DATA

    • DATA command provides data buffer transmission.

    Syntax

   DATA x![Buffer]

    Parameters

    "x" is a number of characters in a buffer. "Buffer" may contain any information you want to send to remote end.

    Return value

    Command returns "OK" if succeeds and "ERROR" otherwise.

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • TIMEOUTS

    • TIMEOUTS command allows dynamically establishing timeouts on remote host. This value is ignored if remote port is virtual one or has the fixed TIMEOUTS values.

    Syntax

TIMEOUTS ReadIntervalTimeout,ReadTotalTimeoutMultiplier,ReadTotalTimeoutConstant,WriteTotalTimeoutMultiplier,WriteTotalTimeoutConstant

    Parameters

    WriteTotalTimeoutMultiplier sets the total time-out period for write operations, in milliseconds. For each write operation, this value is multiplied by the number of bytes to be written. WriteTotalTimeoutConstant sets the total time-out period for write operations, in milliseconds. For each write operation, this value is added to the product of the WriteTotalMultiplier member and the number of bytes to be written. A value of zero for both the TimeoutWriteTotalMultiplier and TimeoutWriteTotalConstant members indicates that total time-outs are not used for write operations. ReadIntervalTimeout sets the maximum time allowed to elapse between the arrival of two characters on the communications line, in milliseconds. ReadTotalTimeoutMultiplier sets the total time-out period for read operations, in milliseconds. For each read operation, this value is multiplied by the requested number of bytes to be read. And finally, ReadTotalTimeoutConstant sets the total time-out period for read operations, in milliseconds. For each read operation, this value is added to the product of the TimeoutReadTotalMultiplier member and the requested number of bytes.

    Return value

    Command returns "OK" if succeeds and "ERROR" otherwise.

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • LINECONTROL

    • This command allows setting line control parameters such as stopbit, parity and databits. It is ignored if remote serial port is virtual one or has fixed line control parameters.

    Syntax

   LINECONTROL StopBits,Parity,WordLength!

    Parameters

    StopBits could be 1, 1.5, or 2, however almost all contemporary devices are configured to 1 Stop bit. Parity can be one of the following: none, odd, even, mark, or space. WordLenght may have the following values: 5, 6, 7 and 8.

    Return value

    Command returns "OK" if succeeds and "ERROR" otherwise.

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • HANDFLOW

    • HANDFLOW command allows setting flow control parameters for remote serial port. It is ignored if remote serial port is virtual one or has fixed flow control parameters.

    Syntax

   HANDFLOW ControlHandShake,FlowReplace,XOnLimit, XOffLimit!

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • BAUDRATE

    • BAUDRATE command establishes data transfer speed for remote serial port. It is ignored if remote serial port is virtual one or has fixed baudrate value.

    Syntax

   BAUDRATE x!

    Parameters

    Baudrate value (300, 600, 14400 and so on.)

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • DTR

    • DTR command sets or clears the DTR (data-terminal-ready) signal.

    Syntax

   DTR[1,0]!

    Parameters

    DTR1 sets the signal and DTR0 clears the signal

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • RTS

    • RTS command sets or clears the RTS (ready-to-send) signal.

    Syntax

   RTS[1,0]!

    Parameters

    RTS1 sets the signal and RTS0 clears the signal

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • DCD

    • DCD command sets or clears the DCD (carrier detect) signal.

    Syntax

   DCD[1,0]!

    Parameters

    DCD1 sets the signal and DCD0 clears the signal

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.

  • RING

    • RING command sets or clears the RING signal.

    Syntax

   RING[1,0]!

    Parameters

    RING1 sets the signal and RING0 clears the signal

    Remark:

    All commands must end with "!" (exclamation mark) which indicates the end of the command.


Technical Support and Upgrades

Technical Support and Upgrades

You can easily request support via any of the following methods:

Customer Care Center

Vist our Customer Care Center (CCC) to get qualified technician at your hand, track your inquires and search our growing Q&A database to find out if other user have encountered similar problems.

Support via e-mail:

You can always reach our Support Team via the following e-mail:
support@eltima.com

Support via instant messengers:

ICQ #: 133156588
MSN Messenger ID: softinfinity@hotmail.com
AOL Messenger ID: SoftInfinitySP
Yahoo! Messenger ID: serge_softinfinity

Support via phone:

Toll-free support line #: +1-888-4ELTIMA [CET]

To get more information about this product and many more other products please visit our site at www.eltima.com


Frequently Asked Questions

Frequently Asked Questions

  • I have followed step-by-step instructions in User Manual, however, still cannot establish connection. Any suggestions?
  • Are hardware signal lines (DTR/DSR, RTS/CTS, RING, ERROR, DCD, etc.) emulated in Serial to Ethernet Connector?
  • Can I use Serial to Ethernet Connector under virtual machine (VMWare)?
  • Can I use virtual serial ports with my GPS mapping software?
  • After creating serial port connections I may see that some of the pairs have connection status: Error (Serial to Ethernet Connector service is enabled). How to fix this problem?
  • How to inform developers if I find any problem?

Q. I have followed step-by-step instructions in User Manual, however, still cannot establish connection. Any suggestions?

A. Make sure that:

  • Both ends have Serial to Ethernet Connector installed and configured. Please, note that Eltima provides the license which allows you to install SEC on two computers
  • Both serial ports are opened after connection is created and prior to establishing connection (you may use Hyperterminal to open serial port)
  • Serial to Ethernet Connector is enabled (click corresponding Toolbar button)
  • IP address and TCP port number are set correctly on both ends of connection
  • If you are creating virtual serial port on one end, verify that other port's configuration has "Create this port as virtual (full emulation)" option enabled for remote host
  • TCP port is not blocked either by your firewall, or by your ISP (Internet service provider). In order to check that, try to telnet remote host on TCP port you specified. Click Windows "Start" button and choose "Run" option. Type in "cmd" to launch MS-DOS prompt. In the new window appeared type the following:

    telnet remote_host_IP_address TCP_port_number

    where remote_host_IP_address and TCP_port_number are correct and match the ones you have set in your configuration settings. Hit "Enter" button and try to send anything from remote port to see if you are connected. Additionally, Serial to Ethernet Connector requires that TCP port 8888 and 8889 are opened in order to be able to create connection configuration and establish port-to-port links.
  • Disable "Create this port as virtual (full emulation)" option when attaching serial port device to real port

Q. Are hardware signal lines (DTR/DSR, RTS/CTS, RING, ERROR, DCD, etc.) emulated in Serial to Ethernet Connector?

A. Yes, all signal lines are emulated and supported. Same as in real null-modem connection, DTR signal line of the first port is connected to DSR and DCD line of the second port, and RTS of the first port connected to CTS of the second port.

Q. Can I use Serial to Ethernet Connector under virtual machine (VMWare)?

A. Yes, virtual serial ports are fully supported by SoftIce and VMWare, however you may experience some delays due to peculiarities of the virtual machine engine.

Q. Can I use virtual serial ports with my GPS mapping software?

A. Yes, virtual serial ports will be treated as real ports by GPS mapping software.

Q. After creating serial port connections I may see that some of the pairs have connection status: Error (Serial to Ethernet Connector service is enabled). How to fix this problem?

A. The answer depends on what type of connection you are creating. If you are establishing connection between real serial ports, make sure that neither of them is occupied by other application. For instance, you may disable SEC and try to open it using Windows Hyperterminal utility. In case you are connecting virtual port, make sure that other application (VSP AX, Serial Splitter, etc.) hasn't opened it. If all serial ports have connection status "Error", then most likely that you have firewall installed which blocks 8888 and 8889 ports (required to create connection configuration).

Q. How to inform developers if I find any problem?

A. You may call us using toll-free phone number (+1-888-4ELTIMA [CET]) or send an e-mail to support@eltima.com